FullWrtTextInternal::ParaModifier Struct Reference

Internal: class to store a para modifier with appear in docInfo. More...

## Public Member Functions
| ParaModifier ()
| constructor

## Public Attributes
float | m_beforeSpacing
| the before spacing ( negative in point, positive in percent )
float | m_afterSpacing
| the after spacing ( negative in point, positive in percent )
std::string | m_extra
| some extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ParaModifier const &p)
| operator<<

## Detailed Description

Internal: class to store a para modifier with appear in docInfo.

## Constructor & Destructor Documentation

## ◆ ParaModifier()

FullWrtTextInternal::ParaModifier::ParaModifier | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ParaModifier const & | p )
| friend

operator<<

## Member Data Documentation

## ◆ m_afterSpacing

float FullWrtTextInternal::ParaModifier::m_afterSpacing

the after spacing ( negative in point, positive in percent )

Referenced by operator<<, ParaModifier(), and FullWrtText::readParaModDocInfo().

## ◆ m_beforeSpacing

float FullWrtTextInternal::ParaModifier::m_beforeSpacing

the before spacing ( negative in point, positive in percent )

Referenced by operator<<, ParaModifier(), and FullWrtText::readParaModDocInfo().

## ◆ m_extra

std::string FullWrtTextInternal::ParaModifier::m_extra

some extra data

Referenced by operator<<, ParaModifier(), and FullWrtText::readParaModDocInfo().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx